Subject: bug#31848: 26.1; M-x server-start crashes if extraneous server file exists

From: Alan Third <[email-masked]>
Date: Sun, 17 Jun 2018 12:00:29 +0100

On Fri, Jun 15, 2018 at 11:15:05AM -0600, Tim Harper wrote:
> Emacs on OS X crashes when stale server auth file is present. To reproduce:
> 
> 1) Start Emacs 26.1
> 2) Run server-start
> 3) Copy the file `server` in the {server-auth-dir} folder to `server-2`
> 4) Quit Emacs
> 5) Rename `server-2` file to `server`
> 6) Relaunch Emacs
> 7) Run server-start
> 8) Observe crash

I’m probably being daft, but I can’t find any ‘server’ file when I’m
running the emacs server.

The directory listed in server-auth-dir doesn’t even exist.
-- 
Alan Third